Subject: Re: bug#9402: list-colors-display

From: Juri Linkov <[email-masked]>
Date: Wed, 31 Aug 2011 23:10:20 +0300

> Colors are significant, because humans tend to associate meaning to
> each color.  Messing them up confuses those who have certain default
> colors hard-wired into their brains.

You can't have the same colors even on one platform now.
When you run Emacs on a tty you get an absolutely different set of colors
than when you run Emacs on X.  When you run Emacs on dark background,
you get different colors than on light background, and so on.

So an attempt to bring all colors to some unique set is futile.
It would be better to do what most users want to see by default.